.\"	$NetBSD: whatis.1,v 1.7 2002/03/08 20:27:42 jdolecek Exp $
.\"
.\" Copyright (c) 1989, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)whatis.1	8.1 (Berkeley) 6/6/93
.\"
.Dd June 6, 1993
.Dt WHATIS 1
.Os
.Sh NAME
.Nm whatis
.Nd describe what a command is
.Sh SYNOPSIS
.Nm
.Op Fl C Ar path
.Op Fl M Ar path
.Op Fl m Ar path
.Ar command Ar ...
.Sh DESCRIPTION
.Nm
looks up a given command and gives the header line from the manual page.
You can then use the
.Xr man 1
command to get more information.
.Pp
The options are as follows:
.Bl -tag -width Fl
.It Fl C Ar path
Use different
.Xr man 1
configuration file than the default,
.Pa /etc/man.conf .
.It Fl M Ar path
Override the list of standard directories
.Nm
searches for its database named
.Dq Pa whatis.db .
The supplied
.Ar path
must be a colon
.Dq \&:
separated list of directories.
This search path may also be set using the environment variable
.Ev MANPATH .
.It Fl m Ar path
Augment the list of standard directories
.Nm
searches for its database named
.Dq Pa whatis.db .
The supplied
.Ar path
must be a colon
.Dq \&:
separated list of directories.
These directories will be searched before the standard directories
or the directories supplied with the
.Fl M
option or the
.Ev MANPATH
environment variable are searched.
.El
.Sh ENVIRONMENT
.Bl -tag -width MANPATH
.It Ev MANPATH
The standard search path used by
.Xr man 1
may be overridden by specifying a path in the
.Ev MANPATH
environment variable.
.El
.Sh FILES
.Bl -tag -compact -width /etc/man.conf1
.It Pa whatis.db
name of the whatis databases
.It Pa /etc/man.conf
.Xr man 1
configuration file, used to get location of whatis databases if
.Ev MANPATH
is not set.
.El
.Sh SEE ALSO
.Xr apropos 1 ,
.Xr man 1 ,
.Xr whereis 1 ,
.Xr man.conf 5 ,
.Xr makewhatis 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3.0 .
